Intel® C++ Compiler
Support and discussions for creating C++ code that runs on platforms based on Intel® processors.
Announcements
This community is designed for sharing of public information. Please do not share Intel or third-party confidential information here.
7669 Discussions

Visual Studio 16.10.4 and latest OneAPI classic compilers

AndrewC
New Contributor I
482 Views

I have installed VS 2019 16.10.4 and the latest OneAPI toolkits (Base+HPC) and have not encountered any issues ( such as link errors etc) using the classic compilers. Tested with large C++ projects and some FORTRAN projects as well.

 

I realize this is not a supported configuration but it might be useful information as VS is pretty pushy when it comes to getting you to upgrade from older versions.

0 Kudos
3 Replies
RahulV_intel
Moderator
453 Views

Hi,

 

As per the release notes of the oneAPI base toolkit (2021.3), VS-2019 16.9.6 and VS 2017 15.9 versions are supported.

https://software.intel.com/content/www/us/en/develop/articles/intel-compilers-compatibility-with-mic...

 

Other VS-2019 or VS-2017 versions may also work but are not tested.

 

Thanks,

Rahul

 

RahulV_intel
Moderator
414 Views

Hi,


Could you let us know if we can close the thread?


Thanks,

Rahul


RahulV_intel
Moderator
388 Views

Hi,


I have not heard back from you; we won’t be monitoring this thread. If you need further assistance, please post a new thread.


Reply